Ethno World 6 - iLok required?

Official support for: bestservice.de
User avatar
OzoneJunkie
KVRian
1000 posts since 16 Jan, 2004

Post Sat Jun 23, 2018 7:52 pm

Hi - I'm considering EW6. I see on Sweetwater's site (link below) that it lists creating an iLok account as a requirement. Is this true, or just an oversight on SW's page?

From what I can tell, on Best Service's site, there's no mention of needing iLok (dongle or account), that all activation and requirements are through Native Instrument's Native Access.

Thanks in advance for any help/answers/assistance here.

https://www.sweetwater.com/store/detail ... nstruments

Ben H
KVRAF
2056 posts since 28 Jul, 2003

Re: Ethno World 6 - iLok required?

Post Sun Jun 24, 2018 7:01 pm

No ilok is required. It's an error on their page info.
My main tools: Kontakt 5, Omnisphere 2, Iris 1 (not interested in V2), Padshop Pro, Samplemodeling SWAM and Zebra 2.

User avatar
OzoneJunkie
KVRian
1000 posts since 16 Jan, 2004

Re: Ethno World 6 - iLok required?

Post Mon Jun 25, 2018 4:24 am

Thank you - appreciated :tu:

Return to “Best Service”